Download it now!
Bug 64003 - RMI/SND missing in "All movie and sound files" filter of insert movie and sound command
Summary: RMI/SND missing in "All movie and sound files" filter of insert movie and sou...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Joel Madero
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-27 19:26 UTC by Gerry
Modified: 2013-05-02 07:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2013-04-27 19:26:16 UTC
Exactly like in bug 36635, LibreOffice supports sound files in the formats RMI and SND, but they are not included in the "Insert" -> "Movie and sound..." list of supported file types. Therefore, they cannot be selected by the user. Please add RMI and SND to the list of files types.

Workaround: Select "All files (*)" do also display RMI and SND files. Then the embedding of files of this type works nicely.

Example sound files: 
http://www.midiarchive.co.uk/download/Classics/Bach/Bach%27s~1.rmi
http://www.lambda.ee/w/images/e/e9/Itsissejuhatus.au.snd

I copied Joel to this bug, because he was so kind to fix this already for WMA/WMV/AAC-files.

Fix:
Reading Joel's last fix, I assume that adding following information to avmedia/source/viewer/mediawindow.cxx should do the trick:

"RMI MIDI Audio", "rmi",
"SND (SouND) Audio", "snd",

(Alternatively "rmi" could be simply added to the file extensions under "MIDI Audio")

More information on the file formats:
- For RMI Midi files: http://file.downloadatoz.com/rmi-file-extension/ or http://filext.com/file-extension/RMI
- For SND files: http://file.downloadatoz.com/snd-file-extension/ or http://www.abyssmedia.com/formats/snd-format.shtml
Comment 1 Gerry 2013-04-27 19:45:16 UTC
An addition:

Since SND sound files seem to be a variant of AU audio files (http://en.wikipedia.org/wiki/Au_file_format), it IMHO makes sense to add the .snd file type simply to "AU Audio". 

The fix in could then look like:

For SND:

"AU/SND Audio", "au;snd",

For RMI:

"MIDI Audio", "mid;midi;rmi",
Comment 2 Joel Madero 2013-04-30 22:11:34 UTC
Sure I'll take care of this one also and it'll be available in 4.1
Comment 3 Gerry 2013-05-01 06:25:15 UTC
Joel, thanks a lot! It is very nice to have you around.
Comment 4 Joel Madero 2013-05-01 15:34:46 UTC
Hm, are you sure rmi files are supported? I added rmi and snd, snd works no problem but the rmi example file you gave isn't playing at all....any way that you can find me another test case? Have you seen documentation that says that rmi plays?
Comment 5 Joel Madero 2013-05-01 15:37:41 UTC
nevermind, seems like the sample file that you provided is broken because another sample worked no problem - going to submit a patch shortly
Comment 6 Joel Madero 2013-05-01 16:35:31 UTC
Fixed - submitted to master, might submit to 4.0 branch as well for 4.0.4
Comment 7 Gerry 2013-05-01 16:50:35 UTC
Thanks a lot! The link for the .rmi file worked for me, but I remember that I needed to rename the file. I think the importer had some problem with "Bach%27s~1.rmi". I renamed it to test.rmi and that worked fine in LibreOffice.
Comment 8 Commit Notification 2013-05-02 07:00:54 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdf1731fbb526adc276286c8eede5ec3ed4662bd

fdo#64003 - added rmi and snd to insert -> movie & sound list



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.